Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8199841

Add gradle wrapper files to build

    Details

    • Subcomponent:
    • CPU:
      x86_64
    • OS:
      generic

      Description

      A DESCRIPTION OF THE REQUEST :
      It's highly recommended to add the Gradle wrappers to a build as this gives a clear indication to everyone which Gradle version should be used to build the project.

      JUSTIFICATION :
      There's no explicit mention of gradle compatibility until a build is invoked. Currently only Gradle 4.3 is guaranteed to work. this version changes over time.

      Also, setting external builds such Appveyor and Travis would benefit greatly from defining the gradle wrapper using the standard procedures instead of downloading a specific version of gradle every time.

      EXPECTED VERSUS ACTUAL BEHAVIOR :
      EXPECTED -
      Being able to invoke `gradlew` or `gradlew.bat` (dependening on the platform) and have the build run as expected.
      ACTUAL -
      One must find the correct version of gradle first before running the build.

        Attachments

          Activity

            People

            • Assignee:
              kcr Kevin Rushforth
              Reporter:
              webbuggrp Webbug Group
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: